petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMShellSetContext

set some data to be usable by this DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetContext(DM dm,void *ctx)

Collective

### Input Arguments

| dm | - shell DM
| ctx | - the context

### See Also

DMCreateMatrix(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html
src/ksp/ksp/examples/tutorials/ex73.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages